backend:
  name: gitea
  repo: morgan/blog
  app_id: dab0cf1e-dc7b-4bdb-a464-7a663d627553
  api_root: https://git.morgan.kr/api/v1
  base_url: https://git.morgan.kr
  branch: main

media_folder: static/img
public_folder: /img

collections:
  - name: 'post'
    label: 'Post'
    folder: 'content/posts'
    create: true
    publish_mode: editorial_workflow
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    editor:
      preview: false
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Slug', name: 'slug', widget: 'string' }
      - { label: 'Description', name: 'description', widget: 'string', required: false }
      - { label: 'Body', name: 'body', widget: 'markdown' }

  - name: 'blog'
    label: 'Blog'
    folder: 'content/blogs'
    create: true
    publish_mode: editorial_workflow
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    editor:
     preview: false
    fields:
    - { label: 'Title', name: 'title', widget: 'string' }
    - { label: 'Publish Date', name: 'date', widget: 'datetime' }
    - { label: 'Slug', name: 'slug', widget: 'string' }
    - { label: 'Body', name: 'body', widget: 'markdown' }
